Bug 152954 - New port: multimedia/gst123 - a command line audio/video player based on gstreamer
Summary: New port: multimedia/gst123 - a command line audio/video player based on gstr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-09 01:40 UTC by Herbert J. Skuhra
Modified: 2011-04-07 08:20 UTC (History)
0 users

See Also:


Attachments
file.shar (2.31 KB, text/plain)
2010-12-09 01:40 UTC, Herbert J. Skuhra
no flags Details
gst123-2.shar (2.38 KB, application/x-shar)
2010-12-09 13:37 UTC, Herbert J. Skuhra
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert J. Skuhra 2010-12-09 01:40:16 UTC
New port multimedia/gst123

From the gst123 Homepage:

---
The program gst123 is designed to be a more flexible command line player in the spirit of ogg123 and mpg123, based on gstreamer. It plays all file formats gstreamer understands, so if you have a music collection which contains different file formats, like flac, ogg and mp3, you can use gst123 to play all your music files.

Since gst123-0.1.0 support for watching videos has been added;...
---

The port installs only gstreamer-plugins-good. For playing common audio/video (OGG/FLAC/MP3) files additional plugins must be installed.

Fix: Patch attached with submission follows:
Comment 1 Herbert J. Skuhra 2010-12-09 09:21:58 UTC
Hi!

Port builds, but CONFIGURE_ENV and CPPFLAGS/LDFLAGS in the port's
Makefile seem to be wrong.
I will send a new shar file later today. Sorry.

BR
Herbert
Comment 2 Herbert J. Skuhra 2010-12-09 13:37:47 UTC
Hi,

updated shar file attached.

Bye,
Herbert
Comment 3 swell.k 2010-12-09 15:02:38 UTC
"Herbert J. Skuhra" <h.skuhra@gmail.com> writes:

> XCONFIGURE_ENV+=	NCURSES5_CONFIG=/usr/bin/true LDFLAGS='-L/usr/lib -lncurses' \
> X		CPPFLAGS='-I/usr/include'

Don't use -L/usr/lib and -I/usr/include, they're default. It also
overrides GCC search path for its own libraries and headers, sometimes
breaking build with ports' GCC e.g., due to difference between
/usr/lib/libstdc++.so and /usr/local/lib/gcc45/libstdc++.so.
Comment 4 Alexey Dokuchaev freebsd_committer 2010-12-15 02:29:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

I'll take it.
Comment 5 Alexey Dokuchaev freebsd_committer 2011-04-07 08:11:11 UTC
State Changed
From-To: open->closed

Committed with modifications: 
- Use version 1.4 instead of 1.3 
- Specify correct license (LGPL, not GPL) 
- Drop support for EoLed versions of FreeBSD and clean up Makefile 
- Install manual page correctly to MANPREFIX, not PREFIX
Comment 6 dfilter service freebsd_committer 2011-04-07 08:13:17 UTC
danfe       2011-04-07 07:13:04 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/gst123    Makefile distinfo pkg-descr 
  Log:
  Add gst123 0.1.4, a command-line tool to play audio and video files.
  
  PR:             ports/152954 (severely modified)
  Submitted by:   Herbert J. Skuhra <h.skuhra at gmail.com>
  
  Revision  Changes    Path
  1.433     +1 -0      ports/multimedia/Makefile
  1.1       +32 -0     ports/multimedia/gst123/Makefile (new)
  1.1       +2 -0      ports/multimedia/gst123/distinfo (new)
  1.1       +7 -0      ports/multimedia/gst123/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"